<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="IsModuleTemplate" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.query">var.query</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;response>&lt;result>true&lt;/result>&lt;overallResult>true&lt;/overallResult>&lt;responses>&lt;response>&lt;result>true&lt;/result>&lt;body>&lt;assets>&lt;asset>&lt;id>1528&lt;/id>&lt;colorCode>&lt;value/>&lt;/colorCode>&lt;displayName>Deutschland&lt;/displayName>&lt;version>&lt;customId>Deutschland&lt;/customId>&lt;description/>&lt;template>&lt;id>12&lt;/id>&lt;customId>LAND&lt;/customId>&lt;displayName>LAND&lt;/displayName>&lt;/template>&lt;childTemplates>&lt;joinedDisplayNames/>&lt;template>&lt;id>13&lt;/id>&lt;minimumQuantity>0&lt;/minimumQuantity>&lt;maximumQuantity>0&lt;/maximumQuantity>&lt;isTimeSeries>false&lt;/isTimeSeries>&lt;resolution>SEC&lt;/resolution>&lt;customId>STADT&lt;/customId>&lt;displayName>STADT&lt;/displayName>&lt;accessLevel>full&lt;/accessLevel>&lt;/template>&lt;/childTemplates>&lt;updatedOn>2025-06-02T14:48:35.939Z&lt;/updatedOn>&lt;updatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/updatedByUser>&lt;/version>&lt;parentTemplates>&lt;joinedDisplayNames/>&lt;/parentTemplates>&lt;createdOn>2025-06-02T14:48:35.939Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2025-06-02T14:48:35.939Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/asset>&lt;/assets>&lt;total>1&lt;/total>&lt;release>51&lt;/release>&lt;/body>&lt;/response>&lt;/responses>&lt;log>&lt;entries/>&lt;/log>&lt;/response></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISFileSize">1289</Property>
		<Property name="ISCurrentTime" type="Long">1748928204638</Property>
		<Property name="ISWorkflowName">VAM_api_zzz_call</Property>
		<Property name="ISModuleName">If@@@Begin</Property>
		<Property name="ISModuleId">2</Property>
		<Property name="ISProcessId">630821</Property>
		<Property name="ISUserName">chkaufhold</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISNodeName">100.78.0.66</Property>
		<Property name="ISGlobalProcessId">630821</Property>
		<Property name="ISOverwriteSubWorkflowPriority" type="Boolean">false</Property>
		<Property name="var.configuration" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;root>&lt;item>&lt;LAND>&lt;response>&lt;item>Deutschland&lt;/item>&lt;/response>&lt;/LAND>&lt;/item>&lt;item>&lt;LAND>&lt;filter>&lt;key>customId&lt;/key>&lt;operator>=&lt;/operator>&lt;value>Deutschland&lt;/value>&lt;/filter>&lt;response>&lt;item>Deutschland&lt;/item>&lt;/response>&lt;/LAND>&lt;/item>&lt;item>&lt;LAND>&lt;filter>&lt;key>customId&lt;/key>&lt;operator>=&lt;/operator>&lt;value>Deutschlant&lt;/value>&lt;/filter>&lt;response/>&lt;/LAND>&lt;/item>&lt;/root></Property>
		<Property name="var.userContext" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;userContext>&lt;login>bpcadmin&lt;/login>&lt;/userContext></Property>
		<Property name="var.organizationId">zzztest</Property>
		<Property name="demux.totalIterations" type="Integer">3</Property>
		<Property name="demux.iterator" type="Integer">1</Property>
		<Property name="var.query" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;item>&lt;ANY>&lt;response>&lt;item>LAND@Deutschland&lt;/item>&lt;/response>&lt;/ANY>&lt;/item></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="#all" version="2.0">
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.query" as="element()"/>
  &lt;xsl:template match="/*">&lt;root>&lt;xsl:variable name="var.templateCustomId" select="name($var.query/*)"/>&lt;xsl:variable name="var.expected" as="element()*">&lt;xsl:choose>&lt;xsl:when test="$var.templateCustomId ='ANY'">&lt;xsl:sequence select="$var.query/*/response/item"/>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:for-each select="$var.query/*/response/item">&lt;item>&lt;xsl:value-of select="concat($var.templateCustomId, '@', .)"/>&lt;/item>&lt;/xsl:for-each>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/xsl:variable>&lt;xsl:variable name="var.customIds" as="element()*">&lt;xsl:for-each select="responses/response/body/assets/asset/version">&lt;item>&lt;xsl:value-of select="concat(template/customId, '@', customId)"/>&lt;/item>&lt;/xsl:for-each>&lt;/xsl:variable>&lt;xsl:for-each select="$var.expected">&lt;xsl:if test="not(exists($var.customIds[. = current()]))">&lt;item>&lt;xsl:value-of select="concat('Missing: &amp;lt;', ., '&amp;gt;')"/>&lt;/item>&lt;/xsl:if>&lt;/xsl:for-each>&lt;xsl:for-each select="$var.customIds">&lt;xsl:if test="not(exists($var.expected[. = current()]))">&lt;item>&lt;xsl:value-of select="concat('Extra: &amp;lt;', ., '&amp;gt;')"/>&lt;/item>&lt;/xsl:if>&lt;/xsl:for-each>&lt;/root>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
	<Property name="xslt_mode">NEW</Property>
</Properties>